net.sf.jasperreports.components.iconlabel

## Enum IconPositionEnum

- java.lang.Object
- - java.lang.Enum<IconPositionEnum>
  - - net.sf.jasperreports.components.iconlabel.IconPositionEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<IconPositionEnum>, JREnum, NamedEnum

      public enum IconPositionEnum
      extends java.lang.Enum<IconPositionEnum>
      implements JREnum

  Version:
    $Id: HorizontalAlignEnum.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `END`
    `START`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IconPositionEnum` | `getByName(java.lang.String name)`
    `static IconPositionEnum` | `getByValue(byte value)`
    `static IconPositionEnum` | `getByValue(java.lang.Byte value)`
    `java.lang.String` | `getName()`
    `byte` | `getValue()`
    `java.lang.Byte` | `getValueByte()`
    `static IconPositionEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static IconPositionEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### START

          public static final IconPositionEnum START

    - #### END

          public static final IconPositionEnum END

  - ### Method Detail

    - #### values

          public static IconPositionEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IconPositionEnum c : IconPositionEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IconPositionEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValueByte

          public java.lang.Byte getValueByte()

      Specified by:
        `getValueByte` in interface `JREnum`

    - #### getValue

          public final byte getValue()

      Specified by:
        `getValue` in interface `JREnum`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `NamedEnum`

    - #### getByName

          public static IconPositionEnum getByName(java.lang.String name)

    - #### getByValue

          public static IconPositionEnum getByValue(java.lang.Byte value)

    - #### getByValue

          public static IconPositionEnum getByValue(byte value)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com